import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const vetFarmGetOutProvinceDashboard = createAsyncThunk(
  "VET_FARM_GET_OUT_PROVINCE_DASHBOARD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(`dashboard_kill_house_free_bar`, {
      params: {
        ...d,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
